Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInputNumberSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIRangedNumberInput
                          org.richfaces.component.UIInputNumberSlider
                              org.richfaces.component.html.HtmlInputNumberSlider

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlInputNumberSlider

extends UIInputNumberSlider

Component-Type org.richfaces.inputNumberSlider Component-Family org.richfaces.inputNumberSlider Renderer-Type org.richfaces.InputNumberSliderRenderer A component that lets selecting a number from a numeric region. It is a horizontal aligned scroll-like control with its own input field (optional) present. The keyboard input in a field is possible (optional. Also it is possible to see the current value in the tool tip above a dragged handle control.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlInputNumberSlider()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` This attribute assigns an access key to an element.
`java.lang.String` | `getAlign()` ${prop.xmlEncodedDescription} Getter for align
`java.lang.String` | `getAlt()` For user agents that cannot display images, forms, or applets, this attribute specifies an alternate text.
`java.lang.String` | `getBarClass()` A name of CSS class for the bar element Getter for barClass
`java.lang.String` | `getBarStyle()` Style for a slider control line Getter for barStyle
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHandleClass()` A name of CSS class for a control handle element Getter for handleClass
`java.lang.String` | `getHandleSelectedClass()` A name of CSS class for a selected control handle element Getter for handleSelectedClass
`java.lang.String` | `getHeight()` ${prop.xmlEncodedDescription} Getter for height
`java.lang.String` | `getInputClass()` Style Class attribute for a text field Getter for inputClass
`java.lang.String` | `getInputPosition()` If "right" the InputText Box would be rendered on the right side of the ruler Getter for inputPosition
`int` | `getInputSize()` Similar to the "Size" attribute of h:inputText Getter for inputSize
`java.lang.String` | `getInputStyle()` Style attribute for text field Getter for inputStyle
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`int` | `getMaxlength()` When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter.
`java.lang.String` | `getMaxValue()` Attribute to set an "end" value Getter for maxValue
`java.lang.String` | `getMinValue()` Attribute to set a "start" value Getter for minValue
`java.lang.String` | `getOnblur()` HTML: script expression; the element lost the focus Getter for onblur
`java.lang.String` | `getOnchange()` HTML: script expression; the element value was changed Getter for onchange
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnerror()` This error is called when a non-number value or a number value that is out of the range is input Getter for onerror
`java.lang.String` | `getOnfocus()` HTML: script expression; the element got the focus Getter for onfocus
`java.lang.String` | `getOninputclick()` HTML: a script expression; a pointer button is clicked Getter for oninputclick
`java.lang.String` | `getOninputdblclick()` HTML: a script expression; a pointer button is double-clicked Getter for oninputdblclick
`java.lang.String` | `getOninputkeydown()` HTML: a script expression; a key is pressed down Getter for oninputkeydown
`java.lang.String` | `getOninputkeypress()` HTML: a script expression; a key is pressed and released Getter for oninputkeypress
`java.lang.String` | `getOninputkeyup()` HTML: a script expression; a key is released Getter for oninputkeyup
`java.lang.String` | `getOninputmousedown()` HTML: script expression; a pointer button is pressed down Getter for oninputmousedown
`java.lang.String` | `getOninputmousemove()` HTML: a script expression; a pointer is moved within Getter for oninputmousemove
`java.lang.String` | `getOninputmouseout()` HTML: a script expression; a pointer is moved away Getter for oninputmouseout
`java.lang.String` | `getOninputmouseover()` HTML: a script expression; a pointer is moved onto Getter for oninputmouseover
`java.lang.String` | `getOninputmouseup()` HTML: script expression; a pointer button is released Getter for oninputmouseup
`java.lang.String` | `getOnkeydown()` ${prop.xmlEncodedDescription} Getter for onkeydown
`java.lang.String` | `getOnkeypress()` ${prop.xmlEncodedDescription} Getter for onkeypress
`java.lang.String` | `getOnkeyup()` ${prop.xmlEncodedDescription} Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnselect()` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`int` | `getSize()` ${prop.xmlEncodedDescription} Getter for size
`java.lang.String` | `getStep()` Parameter that determines a step between the nearest values while using a handle Getter for step
`java.lang.String` | `getStyle()` Styles for main div element of the slider control Getter for style
`java.lang.String` | `getStyleClass()` Name of a CSS class Getter for styleClass
`java.lang.String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
`java.lang.String` | `getTipClass()` A name of CSS class for the tool tip element Getter for tipClass
`java.lang.String` | `getTipStyle()` A style for the tool tip element Getter for tipStyle
`java.lang.String` | `getWidth()` The width of a slider control Getter for width
`boolean` | `isDisabled()` When set for a form control, this boolean attribute disables the control for user input Getter for disabled
`boolean` | `isEnableManualInput()` False value for this attribute makes a text field "read-only", so the value can be changed only from a handle Getter for enableManualInput
`boolean` | `isShowBoundaryValues()` If the min/max values are shown on the right/left borders of a control.
`boolean` | `isShowInput()` False value for this attribute makes text a field invisible Getter for showInput
`boolean` | `isShowToolTip()` If the current value will be shown in the tooltip when a handle control in a "dragged" state.Default=true.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlign(java.lang.String __align)` ${prop.xmlEncodedDescription} Setter for align
`void` | `setAlt(java.lang.String __alt)` For user agents that cannot display images, forms, or applets, this attribute specifies an alternate text.
`void` | `setBarClass(java.lang.String __barClass)` A name of CSS class for the bar element Setter for barClass
`void` | `setBarStyle(java.lang.String __barStyle)` Style for a slider control line Setter for barStyle
`void` | `setDisabled(boolean __disabled)` When set for a form control, this boolean attribute disables the control for user input Setter for disabled
`void` | `setEnableManualInput(boolean __enableManualInput)` False value for this attribute makes a text field "read-only", so the value can be changed only from a handle Setter for enableManualInput
`void` | `setHandleClass(java.lang.String __handleClass)` A name of CSS class for a control handle element Setter for handleClass
`void` | `setHandleSelectedClass(java.lang.String __handleSelectedClass)` A name of CSS class for a selected control handle element Setter for handleSelectedClass
`void` | `setHeight(java.lang.String __height)` ${prop.xmlEncodedDescription} Setter for height
`void` | `setInputClass(java.lang.String __inputClass)` Style Class attribute for a text field Setter for inputClass
`void` | `setInputPosition(java.lang.String __inputPosition)` If "right" the InputText Box would be rendered on the right side of the ruler Setter for inputPosition
`void` | `setInputSize(int __inputSize)` Similar to the "Size" attribute of h:inputText Setter for inputSize
`void` | `setInputStyle(java.lang.String __inputStyle)` Style attribute for text field Setter for inputStyle
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setMaxlength(int __maxlength)` When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter.
`void` | `setMaxValue(java.lang.String __maxValue)` Attribute to set an "end" value Setter for maxValue
`void` | `setMinValue(java.lang.String __minValue)` Attribute to set a "start" value Setter for minValue
`void` | `setOnblur(java.lang.String __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(java.lang.String __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnerror(java.lang.String __onerror)` This error is called when a non-number value or a number value that is out of the range is input Setter for onerror
`void` | `setOnfocus(java.lang.String __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOninputclick(java.lang.String __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
`void` | `setOninputdblclick(java.lang.String __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
`void` | `setOninputkeydown(java.lang.String __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
`void` | `setOninputkeypress(java.lang.String __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
`void` | `setOninputkeyup(java.lang.String __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
`void` | `setOninputmousedown(java.lang.String __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
`void` | `setOninputmousemove(java.lang.String __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
`void` | `setOninputmouseout(java.lang.String __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
`void` | `setOninputmouseover(java.lang.String __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
`void` | `setOninputmouseup(java.lang.String __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
`void` | `setOnkeydown(java.lang.String __onkeydown)` ${prop.xmlEncodedDescription} Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` ${prop.xmlEncodedDescription} Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` ${prop.xmlEncodedDescription} Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnselect(java.lang.String __onselect)` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`void` | `setShowBoundaryValues(boolean __showBoundaryValues)` If the min/max values are shown on the right/left borders of a control.
`void` | `setShowInput(boolean __showInput)` False value for this attribute makes text a field invisible Setter for showInput
`void` | `setShowToolTip(boolean __showToolTip)` If the current value will be shown in the tooltip when a handle control in a "dragged" state.Default=true.
`void` | `setSize(int __size)` ${prop.xmlEncodedDescription} Setter for size
`void` | `setStep(java.lang.String __step)` Parameter that determines a step between the nearest values while using a handle Setter for step
`void` | `setStyle(java.lang.String __style)` Styles for main div element of the slider control Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Name of a CSS class Setter for styleClass
`void` | `setTabindex(java.lang.String __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTipClass(java.lang.String __tipClass)` A name of CSS class for the tool tip element Setter for tipClass
`void` | `setTipStyle(java.lang.String __tipStyle)` A style for the tool tip element Setter for tipStyle
`void` | `setWidth(java.lang.String __width)` The width of a slider control Setter for width

Methods inherited from class org.richfaces.component.UIRangedNumberInput
`decode, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputNumberSlider

    public HtmlInputNumberSlider()

  Constructor to init default renderers

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setAlign

    public void setAlign(java.lang.String __align)

  ${prop.xmlEncodedDescription} Setter for align

  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  ${prop.xmlEncodedDescription} Getter for align

  Returns:
    align value from local variable or value bindings

### setAlt

    public void setAlt(java.lang.String __alt)

  For user agents that cannot display images, forms, or applets, this attribute specifies an alternate text. Language of an alternate text is specified by the lang attribute Setter for alt

  Parameters:
    `alt` - - new value

### getAlt

    public java.lang.String getAlt()

  For user agents that cannot display images, forms, or applets, this attribute specifies an alternate text. Language of an alternate text is specified by the lang attribute Getter for alt

  Returns:
    alt value from local variable or value bindings

### setBarClass

    public void setBarClass(java.lang.String __barClass)

  A name of CSS class for the bar element Setter for barClass

  Parameters:
    `barClass` - - new value

### getBarClass

    public java.lang.String getBarClass()

  A name of CSS class for the bar element Getter for barClass

  Returns:
    barClass value from local variable or value bindings

### setBarStyle

    public void setBarStyle(java.lang.String __barStyle)

  Style for a slider control line Setter for barStyle

  Parameters:
    `barStyle` - - new value

### getBarStyle

    public java.lang.String getBarStyle()

  Style for a slider control line Getter for barStyle

  Returns:
    barStyle value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  When set for a form control, this boolean attribute disables the control for user input Setter for disabled

  Specified by:
    `setDisabled` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  When set for a form control, this boolean attribute disables the control for user input Getter for disabled

  Specified by:
    `isDisabled` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    disabled value from local variable or value bindings

### setEnableManualInput

    public void setEnableManualInput(boolean __enableManualInput)

  False value for this attribute makes a text field "read-only", so the value can be changed only from a handle Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### isEnableManualInput

    public boolean isEnableManualInput()

  False value for this attribute makes a text field "read-only", so the value can be changed only from a handle Getter for enableManualInput

  Returns:
    enableManualInput value from local variable or value bindings

### setHandleClass

    public void setHandleClass(java.lang.String __handleClass)

  A name of CSS class for a control handle element Setter for handleClass

  Parameters:
    `handleClass` - - new value

### getHandleClass

    public java.lang.String getHandleClass()

  A name of CSS class for a control handle element Getter for handleClass

  Returns:
    handleClass value from local variable or value bindings

### setHandleSelectedClass

    public void setHandleSelectedClass(java.lang.String __handleSelectedClass)

  A name of CSS class for a selected control handle element Setter for handleSelectedClass

  Parameters:
    `handleSelectedClass` - - new value

### getHandleSelectedClass

    public java.lang.String getHandleSelectedClass()

  A name of CSS class for a selected control handle element Getter for handleSelectedClass

  Returns:
    handleSelectedClass value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  ${prop.xmlEncodedDescription} Setter for height

  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  ${prop.xmlEncodedDescription} Getter for height

  Returns:
    height value from local variable or value bindings

### setInputClass

    public void setInputClass(java.lang.String __inputClass)

  Style Class attribute for a text field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### getInputClass

    public java.lang.String getInputClass()

  Style Class attribute for a text field Getter for inputClass

  Returns:
    inputClass value from local variable or value bindings

### setInputPosition

    public void setInputPosition(java.lang.String __inputPosition)

  If "right" the InputText Box would be rendered on the right side of the ruler Setter for inputPosition

  Parameters:
    `inputPosition` - - new value

### getInputPosition

    public java.lang.String getInputPosition()

  If "right" the InputText Box would be rendered on the right side of the ruler Getter for inputPosition

  Returns:
    inputPosition value from local variable or value bindings

### setInputSize

    public void setInputSize(int __inputSize)

  Similar to the "Size" attribute of h:inputText Setter for inputSize

  Parameters:
    `inputSize` - - new value

### getInputSize

    public int getInputSize()

  Similar to the "Size" attribute of h:inputText Getter for inputSize

  Returns:
    inputSize value from local variable or value bindings

### setInputStyle

    public void setInputStyle(java.lang.String __inputStyle)

  Style attribute for text field Setter for inputStyle

  Parameters:
    `inputStyle` - - new value

### getInputStyle

    public java.lang.String getInputStyle()

  Style attribute for text field Getter for inputStyle

  Returns:
    inputStyle value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setMaxValue

    public void setMaxValue(java.lang.String __maxValue)

  Attribute to set an "end" value Setter for maxValue

  Specified by:
    `setMaxValue` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `maxValue` - - new value

### getMaxValue

    public java.lang.String getMaxValue()

  Attribute to set an "end" value Getter for maxValue

  Specified by:
    `getMaxValue` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    maxValue value from local variable or value bindings

### setMaxlength

    public void setMaxlength(int __maxlength)

  When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter. This number may exceed the specified size, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number Setter for maxlength

  Parameters:
    `maxlength` - - new value

### getMaxlength

    public int getMaxlength()

  When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter. This number may exceed the specified size, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number Getter for maxlength

  Returns:
    maxlength value from local variable or value bindings

### setMinValue

    public void setMinValue(java.lang.String __minValue)

  Attribute to set a "start" value Setter for minValue

  Specified by:
    `setMinValue` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `minValue` - - new value

### getMinValue

    public java.lang.String getMinValue()

  Attribute to set a "start" value Getter for minValue

  Specified by:
    `getMinValue` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    minValue value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  HTML: script expression; the element lost the focus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setOnchange

    public void setOnchange(java.lang.String __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### getOnchange

    public java.lang.String getOnchange()

  HTML: script expression; the element value was changed Getter for onchange

  Returns:
    onchange value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnerror

    public void setOnerror(java.lang.String __onerror)

  This error is called when a non-number value or a number value that is out of the range is input Setter for onerror

  Parameters:
    `onerror` - - new value

### getOnerror

    public java.lang.String getOnerror()

  This error is called when a non-number value or a number value that is out of the range is input Getter for onerror

  Returns:
    onerror value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  HTML: script expression; the element got the focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### setOninputclick

    public void setOninputclick(java.lang.String __oninputclick)

  HTML: a script expression; a pointer button is clicked Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### getOninputclick

    public java.lang.String getOninputclick()

  HTML: a script expression; a pointer button is clicked Getter for oninputclick

  Returns:
    oninputclick value from local variable or value bindings

### setOninputdblclick

    public void setOninputdblclick(java.lang.String __oninputdblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick

  Parameters:
    `oninputdblclick` - - new value

### getOninputdblclick

    public java.lang.String getOninputdblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for oninputdblclick

  Returns:
    oninputdblclick value from local variable or value bindings

### setOninputkeydown

    public void setOninputkeydown(java.lang.String __oninputkeydown)

  HTML: a script expression; a key is pressed down Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### getOninputkeydown

    public java.lang.String getOninputkeydown()

  HTML: a script expression; a key is pressed down Getter for oninputkeydown

  Returns:
    oninputkeydown value from local variable or value bindings

### setOninputkeypress

    public void setOninputkeypress(java.lang.String __oninputkeypress)

  HTML: a script expression; a key is pressed and released Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### getOninputkeypress

    public java.lang.String getOninputkeypress()

  HTML: a script expression; a key is pressed and released Getter for oninputkeypress

  Returns:
    oninputkeypress value from local variable or value bindings

### setOninputkeyup

    public void setOninputkeyup(java.lang.String __oninputkeyup)

  HTML: a script expression; a key is released Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### getOninputkeyup

    public java.lang.String getOninputkeyup()

  HTML: a script expression; a key is released Getter for oninputkeyup

  Returns:
    oninputkeyup value from local variable or value bindings

### setOninputmousedown

    public void setOninputmousedown(java.lang.String __oninputmousedown)

  HTML: script expression; a pointer button is pressed down Setter for oninputmousedown

  Parameters:
    `oninputmousedown` - - new value

### getOninputmousedown

    public java.lang.String getOninputmousedown()

  HTML: script expression; a pointer button is pressed down Getter for oninputmousedown

  Returns:
    oninputmousedown value from local variable or value bindings

### setOninputmousemove

    public void setOninputmousemove(java.lang.String __oninputmousemove)

  HTML: a script expression; a pointer is moved within Setter for oninputmousemove

  Parameters:
    `oninputmousemove` - - new value

### getOninputmousemove

    public java.lang.String getOninputmousemove()

  HTML: a script expression; a pointer is moved within Getter for oninputmousemove

  Returns:
    oninputmousemove value from local variable or value bindings

### setOninputmouseout

    public void setOninputmouseout(java.lang.String __oninputmouseout)

  HTML: a script expression; a pointer is moved away Setter for oninputmouseout

  Parameters:
    `oninputmouseout` - - new value

### getOninputmouseout

    public java.lang.String getOninputmouseout()

  HTML: a script expression; a pointer is moved away Getter for oninputmouseout

  Returns:
    oninputmouseout value from local variable or value bindings

### setOninputmouseover

    public void setOninputmouseover(java.lang.String __oninputmouseover)

  HTML: a script expression; a pointer is moved onto Setter for oninputmouseover

  Parameters:
    `oninputmouseover` - - new value

### getOninputmouseover

    public java.lang.String getOninputmouseover()

  HTML: a script expression; a pointer is moved onto Getter for oninputmouseover

  Returns:
    oninputmouseover value from local variable or value bindings

### setOninputmouseup

    public void setOninputmouseup(java.lang.String __oninputmouseup)

  HTML: script expression; a pointer button is released Setter for oninputmouseup

  Parameters:
    `oninputmouseup` - - new value

### getOninputmouseup

    public java.lang.String getOninputmouseup()

  HTML: script expression; a pointer button is released Getter for oninputmouseup

  Returns:
    oninputmouseup value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  ${prop.xmlEncodedDescription} Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  ${prop.xmlEncodedDescription} Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  ${prop.xmlEncodedDescription} Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  ${prop.xmlEncodedDescription} Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  ${prop.xmlEncodedDescription} Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  ${prop.xmlEncodedDescription} Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnselect

    public void setOnselect(java.lang.String __onselect)

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### getOnselect

    public java.lang.String getOnselect()

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Getter for onselect

  Returns:
    onselect value from local variable or value bindings

### setShowBoundaryValues

    public void setShowBoundaryValues(boolean __showBoundaryValues)

  If the min/max values are shown on the right/left borders of a control. Default=true Setter for showBoundaryValues

  Parameters:
    `showBoundaryValues` - - new value

### isShowBoundaryValues

    public boolean isShowBoundaryValues()

  If the min/max values are shown on the right/left borders of a control. Default=true Getter for showBoundaryValues

  Returns:
    showBoundaryValues value from local variable or value bindings

### setShowInput

    public void setShowInput(boolean __showInput)

  False value for this attribute makes text a field invisible Setter for showInput

  Parameters:
    `showInput` - - new value

### isShowInput

    public boolean isShowInput()

  False value for this attribute makes text a field invisible Getter for showInput

  Returns:
    showInput value from local variable or value bindings

### setShowToolTip

    public void setShowToolTip(boolean __showToolTip)

  If the current value will be shown in the tooltip when a handle control in a "dragged" state.Default=true. Setter for showToolTip

  Parameters:
    `showToolTip` - - new value

### isShowToolTip

    public boolean isShowToolTip()

  If the current value will be shown in the tooltip when a handle control in a "dragged" state.Default=true. Getter for showToolTip

  Returns:
    showToolTip value from local variable or value bindings

### setSize

    public void setSize(int __size)

  ${prop.xmlEncodedDescription} Setter for size

  Parameters:
    `size` - - new value

### getSize

    public int getSize()

  ${prop.xmlEncodedDescription} Getter for size

  Returns:
    size value from local variable or value bindings

### setStep

    public void setStep(java.lang.String __step)

  Parameter that determines a step between the nearest values while using a handle Setter for step

  Parameters:
    `step` - - new value

### getStep

    public java.lang.String getStep()

  Parameter that determines a step between the nearest values while using a handle Getter for step

  Returns:
    step value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  Styles for main div element of the slider control Setter for style

  Specified by:
    `setStyle` in class `UIInputNumberSlider`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  Styles for main div element of the slider control Getter for style

  Specified by:
    `getStyle` in class `UIInputNumberSlider`
  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Name of a CSS class Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Name of a CSS class Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### setTipClass

    public void setTipClass(java.lang.String __tipClass)

  A name of CSS class for the tool tip element Setter for tipClass

  Parameters:
    `tipClass` - - new value

### getTipClass

    public java.lang.String getTipClass()

  A name of CSS class for the tool tip element Getter for tipClass

  Returns:
    tipClass value from local variable or value bindings

### setTipStyle

    public void setTipStyle(java.lang.String __tipStyle)

  A style for the tool tip element Setter for tipStyle

  Parameters:
    `tipStyle` - - new value

### getTipStyle

    public java.lang.String getTipStyle()

  A style for the tool tip element Getter for tipStyle

  Returns:
    tipStyle value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  The width of a slider control Setter for width

  Specified by:
    `setWidth` in class `UIInputNumberSlider`
  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  The width of a slider control Getter for width

  Specified by:
    `getWidth` in class `UIInputNumberSlider`
  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.